<template>
  <nav id="breadcrumb">
    <ul class="breadcrumb">
      <li v-for="(crumb, index) in bread">
        <router-link
          v-if="index < bread.length - 1"
          :key="crumb.path"
          :to="crumb.path"
        >{{ crumb.title }}</router-link>
        <span v-else>{{crumb.title}}</span>
      </li>
    </ul>
  </nav>
</template>

<script>
export default {
  name: "Breadcrumbs",
  computed: {
    bread() {
      const parts = this.$page.path.split("/");
      if (!parts[parts.length - 1].length) {
        parts.pop();
      }
      let link = "";
      const crumbs = [];
      for (let i = 0; i < parts.length; i++) {
        link += parts[i];
        const page = this.$site.pages.find(
          el => el.path === link || el.path === link + "/"
        );
        link += "/";
        if (page != null) {
          crumbs.push({
            path: page.path,
            title: page.frontmatter.breadcrumb || page.title
          });
        }
      }
      return crumbs;
    }
  }
};
</script>

<style>
ul.breadcrumb {
  padding: 10px 16px;
  list-style: none;
}
ul.breadcrumb li {
  display: inline;
  font-size: 18px;
}
ul.breadcrumb li + li:before {
  padding: 8px;
  color: #ccc;
  content: "/\00a0";
}
</style>
